Subject: [alpine-devel] [PATCH] testing/tb-tun: new aport

From: Dennis Przytarski <[email-masked]>
Date: Mon, 18 Aug 2014 10:51:07 +0000

https://code.google.com/p/tb-tun/
An userspace program using TUN/TAP to build 6to4/tunnelbroker/ISATAP tunnel on Linux
---
 testing/tb-tun/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/tb-tun/APKBUILD

diff --git a/testing/tb-tun/APKBUILD b/testing/tb-tun/APKBUILD
new file mode 100644
index 0000000..676e981
--- /dev/null
+++ b/testing/tb-tun/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Dennis Przytarski <[email-masked]>
+# Maintainer:
+pkgname=tb-tun
+pkgver=r18
+pkgrel=0
+pkgdesc="An userspace program using TUN/TAP to build 6to4/tunnelbroker/ISATAP tunnel on Linux"
+url="https://code.google.com/p/tb-tun/"
+arch="all"
+license="GPL1+ PerlArtistic"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://$pkgname.googlecode.com/files/${pkgname}_${pkgver}.tar.gz"
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	gcc tb_userspace.c -l pthread -o tb_userspace || return 1
+}
+
+package() {
+	cd "$_builddir"
+	install -Dm755 tb_userspace "$pkgdir"/usr/sbin/tb_userspace || return 1
+}
+
+md5sums="7227ed964e9eaacb7fc7e08a86c3ffcc  tb-tun_r18.tar.gz"
+sha256sums="3c4a18069a888a15b20da3a8ba12374bcae8257b59c0f2221513811df23dec12  tb-tun_r18.tar.gz"
+sha512sums="476532ffaa0eb584af04bc226507445fbe6f5d50aff25cbee6f1d85c0fae19621923905be2a01c52bad5bb01156237b232eed485fd45ffee1da48f14534a92c0  tb-tun_r18.tar.gz"
-- 
2.1.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---